HistoryServerFileSystemStateStoreService (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs, class: HistoryServerFileSystemStateStoreService

Package org.apache.hadoop.mapreduce.v2.hs

# Class HistoryServerFileSystemStateStoreService

java.lang.Object
org.apache.hadoop.service.AbstractService
org.apache.hadoop.mapreduce.v2.hs.HistoryServerStateStoreService
org.apache.hadoop.mapreduce.v2.hs.HistoryServerFileSystemStateStoreService

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.service.Service`

@Private @Unstable public class HistoryServerFileSystemStateStoreService extends HistoryServerStateStoreService

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.v2.hs.HistoryServerStateStoreService

  `HistoryServerStateStoreService.HistoryServerState`

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.service.Service

  `org.apache.hadoop.service.Service.STATE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HistoryServerFileSystemStateStoreService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `closeStorage()`
  Implementation-specific shutdown.
  `protected void`
  `initStorage(org.apache.hadoop.conf.Configuration conf)`
  Implementation-specific initialization.
  `HistoryServerStateStoreService.HistoryServerState`
  `loadState()`
  Load the history server state from the state storage.
  `void`
  `removeToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId)`
  Blocking method to remove a delegation token from the state storage.
  `void`
  `removeTokenMasterKey(org.apache.hadoop.security.token.delegation.DelegationKey key)`
  Blocking method to remove a delegation token master key.
  `protected void`
  `startStorage()`
  Implementation-specific startup.
  `void`
  `storeToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId, Long renewDate)`
  Blocking method to store a delegation token along with the current token sequence number to the state storage.
  `void`
  `storeTokenMasterKey(org.apache.hadoop.security.token.delegation.DelegationKey key)`
  Blocking method to store a delegation token master key.
  `void`
  `updateToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId, Long renewDate)`
  Blocking method to update the expiration of a delegation token in the state storage.

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.hs.HistoryServerStateStoreService

  `serviceInit, serviceStart, serviceStop`

  ### Methods inherited from class org.apache.hadoop.service.AbstractService

  `close, getBlockers, getConfig, getFailureCause, getFailureState, getLifecycleHistory, getName, getServiceState, getStartTime, init, isInState, noteFailure, putBlocker, registerGlobalListener, registerServiceListener, removeBlocker, setConfig, start, stop, toString, unregisterGlobalListener, unregisterServiceListener, waitForServiceToStop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### HistoryServerFileSystemStateStoreService

    public HistoryServerFileSystemStateStoreService()

- ## Method Details

  - ### initStorage

    protected void initStorage(org.apache.hadoop.conf.Configuration conf) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Implementation-specific initialization.
    Specified by:
      `initStorage` in class `HistoryServerStateStoreService`
    Parameters:
      `conf` - the configuration
    Throws:
      `IOException`

  - ### startStorage

    protected void startStorage() throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Implementation-specific startup.
    Specified by:
      `startStorage` in class `HistoryServerStateStoreService`
    Throws:
      `IOException`

  - ### closeStorage

    protected void closeStorage() throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Implementation-specific shutdown.
    Specified by:
      `closeStorage` in class `HistoryServerStateStoreService`
    Throws:
      `IOException`

  - ### loadState

    public HistoryServerStateStoreService.HistoryServerState loadState() throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Load the history server state from the state storage.
    Specified by:
      `loadState` in class `HistoryServerStateStoreService`
    Throws:
      `IOException`

  - ### storeToken

    public void storeToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId, Long renewDate) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Blocking method to store a delegation token along with the current token sequence number to the state storage. Implementations must not return from this method until the token has been committed to the state store.
    Specified by:
      `storeToken` in class `HistoryServerStateStoreService`
    Parameters:
      `tokenId` - the token to store
      `renewDate` - the token renewal deadline
    Throws:
      `IOException`

  - ### updateToken

    public void updateToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId, Long renewDate) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Blocking method to update the expiration of a delegation token in the state storage. Implementations must not return from this method until the expiration date of the token has been updated in the state store.
    Specified by:
      `updateToken` in class `HistoryServerStateStoreService`
    Parameters:
      `tokenId` - the token to update
      `renewDate` - the new token renewal deadline
    Throws:
      `IOException`

  - ### removeToken

    public void removeToken(org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier tokenId) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Blocking method to remove a delegation token from the state storage. Implementations must not return from this method until the token has been removed from the state store.
    Specified by:
      `removeToken` in class `HistoryServerStateStoreService`
    Parameters:
      `tokenId` - the token to remove
    Throws:
      `IOException`

  - ### storeTokenMasterKey

    public void storeTokenMasterKey(org.apache.hadoop.security.token.delegation.DelegationKey key) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Blocking method to store a delegation token master key. Implementations must not return from this method until the key has been committed to the state store.
    Specified by:
      `storeTokenMasterKey` in class `HistoryServerStateStoreService`
    Parameters:
      `key` - the master key to store
    Throws:
      `IOException`

  - ### removeTokenMasterKey

    public void removeTokenMasterKey(org.apache.hadoop.security.token.delegation.DelegationKey key) throws IOException
    Description copied from class: `HistoryServerStateStoreService`
    Blocking method to remove a delegation token master key. Implementations must not return from this method until the key has been removed from the state store.
    Specified by:
      `removeTokenMasterKey` in class `HistoryServerStateStoreService`
    Parameters:
      `key` - the master key to remove
    Throws:
      `IOException`